Package org.optaplanner.core.impl.score.stream.bavet.common

## Class BavetNodeBuildPolicy<Solution_>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.bavet.common.BavetNodeBuildPolicy<Solution_>

-     public class BavetNodeBuildPolicy<Solution_>
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BavetNodeBuildPolicy​(BavetConstraintSession session, int constraintCount)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addScoringNode​(BavetScoringNode scoringNode)` |
    `Map<String,​BavetScoringNode>` | `getConstraintIdToScoringNodeMap()` |
    `Map<BavetJoinConstraintStream<Solution_>,​BavetJoinBridgeNode>` | `getJoinConstraintStreamToJoinBridgeNodeMap()` |
    `int` | `getNodeOrderMaximum()` |
    `BavetConstraintSession` | `getSession()` |
    `<Node_ extends BavetAbstractNode> Node_` | `retrieveSharedNode​(Node_ node)` |
    `void` | `updateNodeOrderMaximum​(int nodeOrder)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BavetNodeBuildPolicy

          public BavetNodeBuildPolicy​(BavetConstraintSession session,
                                      int constraintCount)

  - ### Method Detail

    - #### updateNodeOrderMaximum

          public void updateNodeOrderMaximum​(int nodeOrder)

    - #### retrieveSharedNode

          public <Node_ extends BavetAbstractNode> Node_ retrieveSharedNode​(Node_ node)

    - #### addScoringNode

          public void addScoringNode​(BavetScoringNode scoringNode)

    - #### getSession

          public BavetConstraintSession getSession()

    - #### getNodeOrderMaximum

          public int getNodeOrderMaximum()

    - #### getConstraintIdToScoringNodeMap

          public Map<String,​BavetScoringNode> getConstraintIdToScoringNodeMap()

    - #### getJoinConstraintStreamToJoinBridgeNodeMap

          public Map<BavetJoinConstraintStream<Solution_>,​BavetJoinBridgeNode> getJoinConstraintStreamToJoinBridgeNodeMap()